
SET client_encoding = 'SQL_ASCII';
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- cc_monitor_perf_info
--
ALTER TABLE cc_monitor_perf_info ALTER COLUMN device_index TYPE bigint; 

--
-- cc_event_log
--
DROP INDEX idx_cc_event_log_2;
CREATE INDEX idx_cc_event_log_5 ON cc_event_log (monitor_id, plugin_id, facility_id, inhibited_flg, generation_date);

--
-- maintenance_info
--
UPDATE maintenance_info SET notify_id = NULL WHERE notify_id = '';
ALTER TABLE ONLY maintenance_info ADD CONSTRAINT ref_maintenance_info FOREIGN KEY (notify_id) REFERENCES cc_notify_info (notify_id);

